Get by recipient ID
curl --request GET \
--url https://api.iklim.co/v1/alarms/geometries/get-by-recipient-id/{recipientId}import requests
url = "https://api.iklim.co/v1/alarms/geometries/get-by-recipient-id/{recipientId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.iklim.co/v1/alarms/geometries/get-by-recipient-id/{recipientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"registrations": [
{
"registrationId": "f7587d9e-2481-4b4c-818d-c8d1946851b7",
"recipientId": "Recipient 1",
"boundary": {
"cityId": 6,
"districtId": 557,
"neighborhoodId": 55766
},
"webhook": {
"accountId": "2f04f1b5-1c0a-4c4e-b0a7-0ba6e9b7f2e1",
"url": "https://api.customer.com/alerts/callback",
"httpMethod": "POST",
"contentType": "application/json",
"authentication": {
"username": "alert-user",
"password": "******"
},
"requestHeaders": {
"source": "iklim.co",
"custom-header": "value"
},
"deliveryPolicy": {
"timeout": 60,
"maxRetries": 3,
"retryDelay": 10
}
},
"filter": {
"lightning": {
"type": "FLASH_CLOUD_TO_GROUND",
"peakCurrent": -12.5,
"inCloudHeight": 4500
},
"thunderstorm": {
"intersectsAffectedPolygon": true,
"intersectsCellPolygon": false,
"severityThreshold": "MEDIUM",
"speedThreshold": 20
},
"precipitation": {
"intensities": [
"LIGHT",
"MODERATE"
]
}
}
}
],
"totalRecords": 123,
"pageNumber": 0,
"pageSize": 10
}{
"timestamp": "YYYY-mm-DDTHH:MM:SS.nnnnnnnnn",
"status": "XXX",
"error": "Error Name",
"message": "Error Message",
"path": "/endpoint/uri/here",
"messages": [
"<string>"
]
}{
"timestamp": "YYYY-mm-DDTHH:MM:SS.nnnnnnnnn",
"status": "XXX",
"error": "Error Name",
"message": "Error Message",
"path": "/endpoint/uri/here",
"messages": [
"<string>"
]
}{
"timestamp": "YYYY-mm-DDTHH:MM:SS.nnnnnnnnn",
"status": "XXX",
"error": "Error Name",
"message": "Error Message",
"path": "/endpoint/uri/here",
"messages": [
"<string>"
]
}{
"timestamp": "YYYY-mm-DDTHH:MM:SS.nnnnnnnnn",
"status": "XXX",
"error": "Error Name",
"message": "Error Message",
"path": "/endpoint/uri/here",
"messages": [
"<string>"
]
}Get by recipient ID
Lists registrations for a recipient. The recipient ID must be unique and comply with the US-ASCII character set.
GET
/
v1
/
alarms
/
geometries
/
get-by-recipient-id
/
{recipientId}
Get by recipient ID
Path Parameters
Recipient Identifier. The recipient ID must be unique and comply with the US-ASCII character set.
⌘I